Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename resolve-url

# tests disabled due to missing 'testling' test suite
%global enable_tests 0

Name:		nodejs-resolve-url
Version:	0.2.1
Release:	alt1_4
Summary:	Like Node.jsa.' `path.resolve`/`url.resolve` for the browser

License:	MIT
URL:		https://github.com/lydell/resolve-url
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	dos2unix

%if 0%{?enable_tests}
BuildRequires:	npm(testling)
%endif

Requires:	node
Source44: import.info

%description
Like Node.jsa.' `path.resolve`/`url.resolve` for the browser.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

dos2unix readme.md


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/testling -u
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1_4
- new version

